//
// Cforall Version 1.0.0 Copyright (C) 2015 University of Waterloo
//
// The contents of this file are covered under the licence agreement in the
// file "LICENCE" distributed with Cforall.
//
// ResolveTypeof.h -- 
//
// Author           : Richard C. Bilson
// Created On       : Sun May 17 12:14:53 2015
// Last Modified By : Peter A. Buhr
// Last Modified On : Sun May 17 12:16:29 2015
// Update Count     : 2
//

#ifndef RESOLVETYPEOF_H
#define RESOLVETYPEOF_H

#include "SynTree/SynTree.h"
#include "SymTab/Indexer.h"

namespace ResolvExpr {
	Type *resolveTypeof( Type*, const SymTab::Indexer &indexer );
} // namespace ResolvExpr

#endif // RESOLVETYPEOF_H

// Local Variables: //
// tab-width: 4 //
// mode: c++ //
// compile-command: "make install" //
// End: //
